org.eclipse.oomph.util

## Class StringUtil

- java.lang.Object
- - org.eclipse.oomph.util.StringUtil

-     public final class StringUtil
      extends Object

  Various static helper methods for dealing with strings.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EMPTY`
    `static String` | `NL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `cap(String str)`
    `static String` | `capAll(String str)`
    `static List<String>` | `explode(String string, String separators)`
    `static List<String>` | `explode(String string, String separators, char escapeCharacter)`
    `static String` | `implode(List<String> tokens, char separator)`
    `static String` | `implode(List<String> tokens, char separator, char escapeCharacter)`
    `static boolean` | `isEmpty(String str)`
    `static String` | `safe(String str)`
    `static String` | `uncap(String str)`
    `static String` | `uncapAll(String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final String EMPTY

      See Also:
        Constant Field Values

    - #### NL

          public static final String NL

  - ### Method Detail

    - #### isEmpty

          public static boolean isEmpty(String str)

    - #### safe

          public static String safe(String str)

    - #### cap

          public static String cap(String str)

    - #### capAll

          public static String capAll(String str)

    - #### uncap

          public static String uncap(String str)

    - #### uncapAll

          public static String uncapAll(String str)

    - #### explode

          public static List<String> explode(String string,
                             String separators)

    - #### explode

          public static List<String> explode(String string,
                             String separators,
                             char escapeCharacter)

    - #### implode

          public static String implode(List<String> tokens,
                       char separator)

    - #### implode

          public static String implode(List<String> tokens,
                       char separator,
                       char escapeCharacter)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html